/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package lab15_calebfontenot;

import java.util.Scanner;

/**
 *
 * @author caleb
 */
public class Array7 {
    
    public static int getLargest(int[] a, int total)
    {
        int temp;
        for (int i = 0; i < total; i++) {
            for (int j = i + 1; j < total; j++) {
                if (a[i] > a[j]) {
                    temp = a[i];
                    a[i] = a[j];
                    a[j] = temp;
                }
            }
        }
        return (total - 1);
    }

    public static void main(String[] args)
    {
        // Create array
        int numArray[] = new int[5];
        int i = 0;

        // Scanner
        Scanner input = new Scanner(System.in);

        //Prompt for input
        do {
            System.out.print("Enter 5 numbers between the range of 10 to 20: ");
            numArray[i] = input.nextInt();
            i++;
        } while (i < 5);

        // Print the array
        for (int j = 0; j < numArray.length; j++) {
            System.out.println(numArray[j]);
        }
        // Find the maximum
        System.out.println("The largest item in the array is: " + getLargest(numArray, numArray.length));
        int index = 0;
        for (int j = 0; j < numArray.length; j++) {
           if(numArray[j] == getLargest(numArray, numArray.length)) {
              index = j;
           }
        }
        System.out.println("it is the " + (index + 1) + "th item in the array");
    }
}
